---
title: "Customer Success Scavenger Hunt"
author: Chloe Whitestone
author_gitlab: chloe
author_twitter: gitlab
categories: unfiltered
image_title: '/images/blogimages/cs-scavenger-hunt/rocky.JPG'
description: "The CS team was challenged with a weekend-long scavenger hunt to utilize their creativity and collaboration."
tags: inside GitLab
guest: true
ee_cta: false
install_cta: false
twitter_text:
postType: content marketing
---

{::options parse_block_html="true" /}

<i class="fab fa-gitlab" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i>&nbsp;&nbsp;
This blog post is [Unfiltered](/handbook/marketing/blog/unfiltered/#legal-disclaimer)
&nbsp;&nbsp;<i class="fab fa-gitlab" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i>
{: .alert .alert-webcast}

As part of our [Contribute](https://about.gitlab.com/events/gitlab-contribute/) event, the Customer Success team had planned to do a scavenger hunt as a team-building activity. I, for one, absolutely love scavenger hunts, so I was thrilled. Unfortunately, Contribute this year was canceled, so I decided to make a virtual scavenger hunt for our team to enjoy instead.

### Planning

How else would I start planning something at GitLab? I created [an issue](https://gitlab.com/gitlab-com/customer-success/tam/issues/212) to document my ideas, then I announced it to my team both synchronously and asynchronously. I wanted this to be as fun and easy as possible, so I only asked two things of my teammates:

1. Vote on a weekend that worked well for them
2. Join a Slack channel (#cs-scavenger-hunt-2020)

![Annoucing the Scavenger Hunt](/images/blogimages/cs-scavenger-hunt/announcement.png){: .shadow}

I didn't want to disrupt work hours, so this being on a weekend was another reason participating was purely voluntary. I gave everyone a week to vote on a date, then 3 days to join (or leave) the channel. Joining the Slack channel acted as registering for the event. I made sure to send them very important reminders throughout the weeks leading up to it, as well!

Meanwhile, I went to work thinking of social distancing-friendly things I could include on the scavenger hunt. The goal was for team members to be able to take pictures of everything on the list, using creativity and teamwork, without needing to go out into public. I ended up with 40 items, some much more challenging than others, but everything doable and hopefully silly! I had zero expectations of people finishing the list, but some teams came extremely close! I created a [scavenger hunt project](https://gitlab.com/cs-scavenger-hunt/welcome-to-the-jungle/) where I created a README with guidelines and an issue with the full list of their tasks.

On the Thursday before the scavenger hunt, I gave the participants two critical pieces of information:

1. Their teams - we had a total of 22 participants, so I divided them into 11 groups of 2, trying to be mindful of timezones, as well as trying to pair people I didn't think knew each other very well
2. The link to the scavenger hunt project

Throughout the next day, teams strategized for what tasks each person could do and fostered some healthy competition.

### The Hunt Begins!

The scavenger hunt officially began at 12am in each team member's local timezone, and there was an element of collaboration required, as some tasks needed help from outside sources.

For example, one task I expected to be difficult, but the teams got creative quickly! The task was "Screenshot other people saying the word “collaboration” to you in Slack or Zoom chat (screenshot must include the date & time) - 1 point for every different person, and 10 extra points if it’s from a member of the e-group." I woke up Saturday morning to see several posts in our company-wide Slack channel asking for team members to comment with the word "collaboration", and even our CEO posted a response!

![Collaboration at Work](/images/blogimages/cs-scavenger-hunt/collaboration.png){: .shadow}

Other tasks ranged from deciphering clues ("Take a picture of a representation of 26.357896, 127.783809" - those coordinates link to a picture of the Batman signal, and "Take a picture of a team member doing the title of v=0UIB9Y4OFPs" - that string leads to a YouTube video of "Pour Some Sugar On Me") to taking pictures of things at home, like them completing a puzzle and finding the oldest expired food item in their pantry.

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://drive.google.com/file/d/1aM7Wg7V65I5-YOKfFptybL28vmRUqt90/preview" width="640" height="480"></iframe>
</figure>
<!-- blank line -->

### The Winners

I requested that all pictures be due before the Tuesday after the scavenger hunt ended, and the teams uploaded their pictures to a Google Drive folder and shared it with me.

On the backend, I created a spreadsheet to calculate the winners. I created a tab for each team, with a link to their pictures at the top, then went through their pictures and entered a score next to each task. Here's how I approached the scoring:

- Tasks with no pictures got 0 points
- Tasks with pictures that got the spirit of the task but weren't complete or correct got 0.5 points
- Tasks with pictures that were either complete or correct got 1 point
- Tasks with pictures that also included other tasks got extra points
- Tasks with pictures that demonstrated creativity got extra points
- Tasks with videos as opposed to pictures got extra points

Additionally, the final task was intentionally vague and as such worth an extra 30 points. The task was "There is a storage locker that contains a duffel bag filled with the final prize. Each team member has already been given the key. Find it and take a picture with the person who holds the treasure." This is a reference to Rat Race, but that didn't help team members at all. The "storage locker" was a project within the GitLab group I shared.  The "duffel bag" was a .gitlab-ci.yml file in that project. The "key" was them receiving access to this project the day the scavenger hunt began. The "person who holds the treasure" was a member of our team not participating, Hugo, because the .gitlab-ci.yml file was created with a [Hugo template](https://gitlab.com/pages/hugo/container_registry). Only one team figured out this clue! (No surprise they were also the winners!)

![Sophie, Ove, and Hugo!](/images/blogimages/cs-scavenger-hunt/hugo.jpg){: .shadow}

After letting my spreadsheet do the math, the winners were indubitable. With an incredible 200 points, team "Candy Corn Skeleton" won the hunt!

But the goal of this wasn't to have winners - it was to have fun together, build relationships and hopefully bring some joy into our lives, no matter what today's climate looks like. So I also ordered special limited-edition Sherlock Holmes-themed GitLab stickers, that I will give to all participants as a thank you.

I can't wait to do this again in the future, hopefully have it be more automated, and with even more people! Keep scrolling for a few of my favorite pictures and videos from this weekend!

![Recreating Abbey Road](/images/blogimages/cs-scavenger-hunt/abbey-road1.jpeg){: .shadow}
![Recreating Abbey Road](/images/blogimages/cs-scavenger-hunt/abbey-road2.jpg){: .shadow}
![Favorite Halloween Costume](/images/blogimages/cs-scavenger-hunt/halloween.jpeg){: .shadow}
![Favorite Quarantine Meal](/images/blogimages/cs-scavenger-hunt/quarantine-meal.jpg){: .shadow.small} ![Silliest Face You Can Make](/images/blogimages/cs-scavenger-hunt/silly-face2.jpg){: .shadow.small}
![Silliest Face You Can Make](/images/blogimages/cs-scavenger-hunt/silly-face1.jpg){: .shadow}
![Vulcan Salute](/images/blogimages/cs-scavenger-hunt/vulcan-salute.png){: .shadow}


<!-- blank line -->
<figure class="video_container">
  <iframe src="https://drive.google.com/file/d/1IsSXvlZnKmb7fXjelENoCR127YdRMpbL/preview" width="640" height="480"></iframe>
</figure>

<figure class="video_container">
  <iframe src="https://drive.google.com/file/d/1oM8ZoafL1VCb2NQ0wZlWZCu2dF5YTku-/preview" width="640" height="480"></iframe>
</figure>

<figure class="video_container">
  <iframe src="https://drive.google.com/file/d/1SzZXX489KSXa2qIjHU2Rt-XA1B69ESys/preview" width="640" height="480"></iframe>
</figure>

<figure class="video_container">
  <iframe src="https://drive.google.com/file/d/1RtxLWNQY2av5O-sXy-MSK6f8XP_zmBVe/preview" width="640" height="480"></iframe>
</figure>

<figure class="video_container">
  <iframe src="https://drive.google.com/file/d/1CHtoKEUIiZqAbeSUbCKMnRAIJUTOM_2p/preview" width="640" height="480"></iframe>
</figure>
<!-- blank line -->
